"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CryptoJS = require("crypto-js");
const React = require("react");
const react_redux_1 = require("react-redux");
require("../style/index.css");
const token_1 = require("./ducks/token");
const PasswordSelector = (props) => {
    //console.log("PasswordSelector");
    //console.log(props.argToken);
    return props.argToken === undefined ? React.createElement("div", { className: "jp-Frame" },
        React.createElement("h2", null, "Set a password"),
        React.createElement("table", { className: "jp-PasswordTable" },
            React.createElement("tbody", null,
                React.createElement("tr", null,
                    React.createElement("td", { className: "jp-LimitedColumn" }, "Enter password:"),
                    React.createElement("td", null,
                        React.createElement("input", { className: "jp-Input", type: "password", onChange: (event) => {
                                props.setTokenA(CryptoJS.SHA256(event.target.value));
                            } }))),
                React.createElement("tr", null,
                    React.createElement("td", null, "Repeat password:"),
                    React.createElement("td", null,
                        React.createElement("input", { className: "jp-Input", type: "password", onChange: (event) => {
                                props.setTokenB(CryptoJS.SHA256(event.target.value));
                            } }))),
                React.createElement("tr", null,
                    React.createElement("td", null),
                    React.createElement("td", null,
                        React.createElement("button", { onClick: () => {
                                if (props.tokenA.toString() === props.tokenB.toString()) {
                                    props.setActiveToken(props.tokenA.toString());
                                    props.onTokenSet(props.tokenA.toString());
                                }
                            } }, "Save password")))))) : React.createElement("div", { className: "jp-Frame" },
        React.createElement("h2", null, "Login"),
        React.createElement("table", { className: "jp-PasswordTable" },
            React.createElement("tbody", null,
                React.createElement("tr", null,
                    React.createElement("td", { colSpan: 2 }, "Enter your password:")),
                React.createElement("tr", null,
                    React.createElement("td", { className: "jp-LimitedColumn" },
                        React.createElement("input", { className: "jp-Input", type: "password", onChange: (event) => {
                                props.setTokenA(CryptoJS.SHA256(event.target.value));
                            } })),
                    React.createElement("td", { className: "jp-Cell" },
                        React.createElement("button", { className: "jp-Button", onClick: () => {
                                props.setActiveToken(props.tokenA.toString());
                                props.onTokenSet(props.tokenA.toString());
                            } }, "Login"))),
                (props.activeToken !== undefined &&
                    props.activeToken.toString().length > 0) ?
                    React.createElement("tr", null,
                        React.createElement("td", { colSpan: 2 }, "Password wrong")) : React.createElement("tr", null))));
};
function mapStateToProps(state, props) {
    return {
        tokenA: token_1.getTokenA(state),
        tokenB: token_1.getTokenB(state),
        activeToken: token_1.getActiveToken(state)
    };
}
function mapDispatchToProps(dispatch, props) {
    return {
        setTokenA: (token) => {
            dispatch(token_1.setTokenA(token));
        },
        setTokenB: (token) => {
            dispatch(token_1.setTokenB(token));
        },
        setActiveToken: (token) => {
            dispatch(token_1.setActiveToken(token));
        },
    };
}
exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(PasswordSelector);
