"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rootselector_1 = require("./rootselector");
const reselect_1 = require("reselect");
// Actions
function onSelectStep(option) {
    return {
        type: 'step/set',
        payload: option
    };
}
exports.onSelectStep = onSelectStep;
// the variable name must match the name of the reducer!!!
// returns the dict that contains the data of this reducer
exports.getCellsRoot = reselect_1.createSelector(rootselector_1.getRoot, ({ cellsReducer }) => cellsReducer);
exports.getSelectedStep = reselect_1.createSelector(exports.getCellsRoot, ({ step }) => step);
// Reducer
const defaultState = {
    step: "none"
};
function cellsReducer(state = defaultState, { type, payload }) {
    switch (type) {
        case 'step/set':
            return Object.assign({}, state, { step: payload });
        default:
            return state;
    }
}
exports.default = cellsReducer;
