"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rootselector_1 = require("./rootselector");
const reselect_1 = require("reselect");
// Actions
function setActiveToken(token) {
    return {
        type: 'activeToken/set',
        payload: token
    };
}
exports.setActiveToken = setActiveToken;
function setTokenA(token) {
    return {
        type: 'tokenA/set',
        payload: token
    };
}
exports.setTokenA = setTokenA;
function setTokenB(token) {
    return {
        type: 'tokenB/set',
        payload: token
    };
}
exports.setTokenB = setTokenB;
// the variable name must match the name of the reducer!!!
// returns the dict that contains the data of this reducer
exports.getTokenRoot = reselect_1.createSelector(rootselector_1.getRoot, ({ tokenReducer }) => tokenReducer);
exports.getActiveToken = reselect_1.createSelector(exports.getTokenRoot, ({ activeToken }) => {
    return activeToken.length > 0 ? activeToken : undefined;
});
exports.getTokenA = reselect_1.createSelector(exports.getTokenRoot, ({ tokenA }) => tokenA);
exports.getTokenB = reselect_1.createSelector(exports.getTokenRoot, ({ tokenB }) => tokenB);
// Reducer
const defaultState = {
    tokenA: "",
    tokenB: "",
    activeToken: ""
};
function tokenReducer(state = defaultState, { type, payload }) {
    switch (type) {
        case 'tokenA/set':
            return Object.assign({}, state, { tokenA: payload });
        case 'tokenB/set':
            return Object.assign({}, state, { tokenB: payload });
        case 'activeToken/set':
            return Object.assign({}, state, { activeToken: payload });
        default:
            return state;
    }
}
exports.default = tokenReducer;
