"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const docregistry_1 = require("@jupyterlab/docregistry");
const widget_1 = require("./widget");
const panel_1 = require("./panel");
/*
 * A widget factory for dashboards
 *
 * http://jupyterlab.github.io/jupyterlab/classes/_docregistry_src_default_.abcwidgetfactory.html
 * Implements IWidgetFactory<T: IDocumentWidget, U: IModel>
 *
 * Connects the DocumentWidget with the Model.
 */
class DashboardWidgetFactory extends docregistry_1.ABCWidgetFactory {
    /**
     * Construct a new widget factory.
     *
     * @param options - The options used to construct the factory.
     */
    constructor(options) {
        super(options);
    }
    /**
     * Create a new widget.
     */
    createNewWidget(context) {
        let content = new widget_1.DashboardWidget(context);
        let widget = new panel_1.DashboardPanel({ context, content });
        return widget;
    }
}
exports.DashboardWidgetFactory = DashboardWidgetFactory;
